from pi_pico_rtc_grove import *
from machine import Pin, I2C
    
# Crée un objet I2C
i2c0 = I2C(0, scl=Pin(9), sda=Pin(8), freq=400000)    # I2C0 utilisé  

# Crée un objet Rtc_grove
rtc = Rtc_grove(i2c0)
   
# écrit une date spécifique
rtc.ecritureRTC([2022, 10, 31, 1, 17, 24, 0])     # 2022/10/31 17:24:00  1=lundi

# lecture de la date et de l'heure courante
print(rtc.lectureRTC())

# mise à l'arrêt horloge
rtc.arretRTC()      

# reprise horloge
rtc.marcheRTC()     
